#! /usr/bin/perl -w

# print "Hello World\n";

$atoms=0;
$angles=0;
$bonds=0;
$bondsigma="0.01";
$anglesigma="0.1";

$bonfile="bonds.txt";
$anglefile="angles.txt";

 open(BONFILE, ">".$bonfile);
 open(ANGFILE, ">".$anglefile);

while(<>){
  if(!/\S/){next}
  if(/DISAGL/){next}
  if(/Angle/){$atoms=0; $bonds=0; $angles=1 ; next}
  if(/Vector/){$atoms=0; $bonds=1; $angles=0 ; next }
  if(/The atoms read in are/){ $atoms=1; $bonds=0 ; $angles=0 ; next }
  if($atoms == 1){    
    @line=split;
#    print "@line\n";
    $names{$line[0]}=$line[6];
#    print "$names{$line[0]}, $line[1], $line[7]\n";
  }
  if($bonds == 1){
    @line=split;
    @thisbond = split(/_/,$line[0]);
    @dist=split(/\(/, $line[1]);
    $a1=$thisbond[0]; $a2=$thisbond[1];
    print BONFILE "! $thisbond[0]    $thisbond[1]\n";
    print BONFILE "i $dist[0] $bondsigma $names{$thisbond[0]} $names{$thisbond[1]} \n \n"; 
  }
  if($angles == 1){
    @line=split;
    @thisangle = split(/_/,$line[0]);
    @dist=split(/\(/, $line[1]);
    print ANGFILE "! $thisangle[0]    $thisangle[1]  $thisangle[2]\n";
    print ANGFILE "i $dist[0] $anglesigma $names{$thisangle[0]} $names{$thisangle[1]} $names{$thisangle[2]} \n\n"; 
  }
  }
